Jump to content
bn-top

azzola

Members
  • Content Count

    23
  • Joined

  • Last visited

Everything posted by azzola

  1. Un utente di un altro forum mi ha gentilmente creato un LISP che fa esattamente ciò che voglio. Col suo permesso lo pubblico anche qui su Treddi, che magari può servire a qualcun'altro oltre a me. (defun c:tt (/ txt t1 p1) (vla-startundomark (vla-get-activedocument (vlax-get-acad-object))) (princ "\Selezionare i testi da spostare") (setq txt (ssget '((0 . "TEXT")))) (setq d (cond ( (getdist (strcat "\nDistanza di spostamento" (if d (strcat " <" (rtos d 2 2) ">: ")": "))) ) ( d ) ) ) (if (and txt d) (repeat (setq n (sslength txt)) (vla-move (vlax-ename->vla-obje
  2. Vero, però a me servirebbe spostare tutti i testi in una volta lungo il loro orientamento. Il metodo che mi suggerisci tu è quello che ho usato finora, ovvero selezionare per range di 10° i testi, cambiare provvisoriamente l'UCS e spostare della misura che mi serve, il tutto ripetuto per 36 volte. Questo metodo funziona. Ma se avessi la necessità di spostare i testi esattamente lungo il loro orientamento (cosa che solo per ora non mi è ancora capitata) dovrei ripetere quella procedura 360 volte... un lavoraccio! Però a me sembra che AutoCAD abbia già tutte le infor
  3. thumb
    Buongiorno a tutti. Volevo sapere se qualcuno fosse a conoscenza di un modo per muovere più testi in AutoCAD di una data misura lungo il proprio orientamento in una volta sola. Trovo un'analogia con 3D Studio Max quando voglio muovere più oggetti lungo le proprie coordinate locali tutti assieme. Purtroppo (e inaspettatamente) non sono riuscito a trovare nulla su un'operazione del genere. Allego un veloce schizzo, che un'immagine vale più di mille parole. Grazie anticipatamente.
  4. azzola

    Smusso muro

    Farei una smussatura con un chamfer sullo spigolo, dopodiché applicherei una mappa displacement che riproduce quelle imperfezioni sull'oggetto. Se nessuno di questi termini ti è chiaro prova a cercare su YouTube, ci sono un sacco di tutorial. Buona giornata!
  5. Si, si può fare. Io entro nella finestra, comando zoom Z e seleziono oggetto O. A questo punto mi riempie la finestra con l'oggetto selezionato e dopodiché specifico la scala desiderata. In questo modo anche a diverse scale la finestra layout è centrata perfettamente sul mio oggetto.
  6. Ottima soluzione, la proverò. Cmq, volendo, puoi anche andare sul menù in alto a sinistra della viewport, quello col + se non sbaglio, e pigiare su 2D pan zoom. Come risultato hai la camera in quella schermata che non puoi muovere coi soliti movimenti del mouse. L'unica limitazione è che puoi muoverla coi comandi move e rotate nella altre.
  7. Beh, il fatto che non prenda l’azione “ruota” non è di sicuro conseguenza del SINCATT, dato che semplicemente aggiorna le modifiche apportate al blocco. Probabilmente hai inavvertitamente modificato qualcosa. Un’altra strada che mi viene in mente potrebbe essere questa: selezioni i blocchi specchiati, li tagli e li incolli in un file nuovo. Dopodiché col comando “rinomina” rinomini il tuo blocco dandogli un semplice suffisso, ad esempio nome_B. Poi entri nel blocco e specchi solo l’attributo, in modo tale da avere nel modello il disegno specchiato e l'attributo giusto, dato ch
  8. Aspetta, ho visto ora che hai scritto che non riesci a visualizzare gli attributi (che eventualmente risolverebbero il problema) sui blocchi già inseriti. Per questo hai provato il comando SINCATT? Dovrebbe aggiornarti i blocchi esistenti nel disegno.
  9. Prova a cambiare la variabile mirrtext e impostarla a zero. In questo modo quando qualsiasi testo viene specchiato viene specchiato solo l'allineamento. Dovrebbe funzionare anche se inserito in un blocco.
  10. Non posso definirmi un esperto, ma se mi viene voglia di assaggiarlo allora credo sia fatto bene!
  11. Se non vado errato è un programma belga. Guarda come 2D è veramente fatto bene, peccato proprio per i blocchi dinamici. Mah, in università usavo Sketchup perché era intuitivo, non avevo troppe pretese e il mio portatile riusciva a reggerlo, a differenza del 3D di AutoCAD. Adesso invece dove lavoro mi sono trovato 3D Studio Max. Proprio un bel programma, devo dire che non tornerei più indietro. Ovviamente dipende anche dal campo in cui vuoi lavorare, la modellazione 3D abbraccia tanti settori e io i modelli 3D li uso solo a fini di visualizzazione, per ingolosire i clien
  12. Mi ero informato a suo tempo su BricsCAD, giusto perché se dovessi mettermi in proprio in futuro mi piacerebbe valutare qualcosa di più economico di AutoCAD e che non sia esclusivamente in abbonamento. Mi sembra davvero un buon clone per il disegno 2D, l'unica cosa che purtroppo non ha è la creazione di blocchi dinamici, funzione che uso veramente spesso. Puoi leggere e utilizzare tranquillamente quelli creati da AutoCAD, ma non puoi crearne direttamente in BricsCAD. Per il resto mi sembra che ci sia più o meno tutto per il disegno 2D, compresi ctb, layout, stati
  13. Bella brochure, molto elegante. Domanda: il prato l'hai messo direttamente in post-produzione?
  14. Ciao. Io ho preso un portatile Santech quasi quattro anni fa e ne sono molto soddisfatto, lo uso ancora e di rendering ne ha macinati parecchi. Ero indeciso tra un Dell Precision e un Santech, ma ho optato per quest’ultimo perché il Santech potevi personalizzarlo in modo più fine, ovvero cambiando i singoli componenti, mentre il Dell aveva dei “pacchetti” di personalizzazioni dove magari c’era un componente che mi interessava (es. 8 gb di ram aggiuntiva) e uno di cui non me ne facevo nulla (es. schermo 4K). Adesso però non so se sia ancora così la situazione.
  15. Grazie a te della risposta. Ho avuto modo di testare un HTC Vive non molto tempo fa e facendoci girare questo lavoro sono sicuro che il risultato sarà una bomba!
  16. Incredibile! Veramente un lavoro di qualità. Posso sapere su che macchina lavori? Mi piacerebbe tantissimo nel futuro prossimo investire nel real time.
  17. Ciao. Io quando mi scordo di attivare un render element come il wire color procedo così: spengo tutte le luci, disattivo la GI, metto un materiale grigio base a tutti gli oggetti e faccio ripartire. Come risultato il pass rgb sarà totalmente nero ma il wirecolor verrà ugualmente generato in pochi minuti.
  18. Innanzitutto buon anno nuovo e grazie per le risposte a tutti voi! Adesso andiamo con ordine.. Avevo già sentito parlare del materiale matte/shadow, solo che non so dove trovarlo o come crearlo tramite VRay per Sketchup.. purtroppo non dispongo di VRay vero e proprio ma solo di questa versione interfacciata con Sketchup, all'interno della quale, ahimè, non ci sono tutti quei materiali predefiniti di VRay.. E le guide sul matte fanno sempre riferimento al programma "standard".. Se sapete come crearlo con la mia castrata versione o dove trovarlo ne sarei felice.. Invece ho appena a
  19. Bè, intanto ho dato ancora un'occhiata in giro e ho visto che è possibile far proiettare un ombra di un oggetto su un piano alpha.. almeno, con altri programmi, tipo 3dsm, si può.. ( http://www.treddi.com/forum/lofiversion/in...php/t75812.html ) Non è che sapete come fare la stessa cosa su vray, e più precisamente su vray su sketchup?
  20. thumb
    Salve a tutti! Volevo chiedervi una delucidazione su una cosa che, purtroppo, non sono riuscito in alcun modo a risolvere.. Per prima cosa ho inserito un'immagine come riferimento in Sketchup: Dopodichè, con l'aiuto di un plugin (Bring My View Back), ho messo la foto di riferimento dietro, così posso renderizzarla con Vray: Ora ho messo un piano sotto il mio edificio in modo che possa proiettare ombre sul piano: Adesso, dopo essere ritornato alla mia scena, ho selezionato il mio piano e ho fatto >Project Photo.. Così facendo ho proiettato sul piano una
×
×
  • Create New...